- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Friends | List of all members
tbb::tick_count Class Reference
Timing

Absolute timestamp. More...

`#include <tick_count.h>`

## Classes
class | interval_t
| Relative time interval. More...

## Public Member Functions
| tick_count ()
| Construct an absolute timestamp initialized to zero.

## Static Public Member Functions
static tick_count | now ()
| Return current time.
static double | resolution ()
| Return the resolution of the clock in seconds per tick.

## Friends
interval_t | operator- (const tick_count &t1, const tick_count &t0)
| Subtract two timestamps to get the time interval between.

## Detailed Description

Absolute timestamp.

The documentation for this class was generated from the following file:

- tick_count.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.